#ifndef ASM_H
#define ASM_H

extern int32 ASM_CreateAsmFile(Settings *projectSettings);

extern int32 ASM_ProcessInstruction(Register *registers, 
                                    RegisterContext *context,
                                    uint8 *sz_Instruction, 
                                    uint32 i_Addr, 
                                    uint32 *i_Result,
                                    RE_ResultType *i_ResultType,
                                    uint8 b_CheckForMessages,
                                    Function_Params *parameters);

extern int32 ASM_GetValueOfParam(Register *registers, 
                                 uint8 *sz_Param, 
                                 uint32 *i_Param, 
                                 RE_ResultType *i_Param_IsValid); 

extern RE_Registers ASM_GetRegisterIndex(Register *registers, uint8 *sz_Register);                                 

#endif
