#ifndef MISC_H
#define MISC_H

extern int32 RE_GetHeader(uint8 *sz_Buffer);

extern int32 RE_ReadString(uint8 *sz_DestString, uint32 i_Size, FILE *f_file);

extern int32 RE_InitRegisters(Register *registers, uint8 b_ResetAll);
extern int32 RE_SetNextCntx(RegisterContext *context);
extern int32 RE_AddCntx(RegisterContext *context, Register *registers, uint32 i_Addr);
extern int32 RE_FreeCntx(RegisterContext *context, uint32 i_CntxIndex);
extern int32 RE_EmptyCntx(RegisterContext *context);

extern int32 RE_GetParameters(uint8 *sz_Function, 
                              Function_Params *parameters, 
                              LIST_Mapping *ParamsList);
 
extern uint8 RE_GetParamIndex(Function_Params *parameters, uint16 i_Offset);

extern uint8 RE_ParamIsMessage(Function_Params *parameters, uint8 i_Index);
#endif
