#ifndef REVENG_H
#define REVENG_H

extern int32 RE_GetPLTJumps(Settings *projectSettings, PLT_Jump *projectPLT);	

extern int32 RE_GetDynSymsRealAddr(LIST_Mapping *projectMapping, PLT_Jump *projectPLT);	

extern int32 RE_GetMappingReferences(Settings *projectSettings, 
                                     LIST_Mapping *projectMapping);
 
extern int32 RE_AnalyseResult(uint8 *sz_Instruction, 
                              uint32 i_Result, RE_ResultType i_ResultType,
                              uint32 i_CurAddr, uint32 i_AddrStart, uint32 i_AddrEnd,
                              uint32 i_PLTIndex, uint32 i_RodataIndex,
                              Register *registers, RegisterContext *context,
                              Settings *projectSettings, 
                              LIST_Mapping *projectMapping,
                              uint8 *pba_ReferenceExists,
                              uint8 *pba_JmpReferenceExists,
                              FILE *f_ExeFile,
                              Function_Params *func_Params);		
                              
extern int32 RE_GetMessage(LIST_Mapping *messagesMapping, uint32 i_Message, Mapping *resultMapping);
                              			
#endif
