#ifndef _REVENG_ERRORS_H
#define _REVENG_ERRORS_H

/**********************************************
 *      Executable manipulation library       * 
 *                  by Zadig                  *
 *                                            *
 * This file contains all Errors of the       *
 * project.                                   *
 **********************************************/

/*********************
 *  Errors Families  *
 *********************/
#define RE                          0xFFEF0000
#define CHAIN                       0xFFEE0000

/***************
 *  RE Errors  *
 ***************/
#define RE_ERROR_PARAMETER        	(RE | 0x0001)  /* to few params in function*/
#define RE_ERROR_SECTION_NOT_FOUND  (RE | 0x0002)
#define RE_ERROR_FORK               (RE | 0x0003)
#define RE_ERROR_END                (RE | 0xFFFF)

/********************
 * chainlist errors *
 ********************/
 #define CHAIN_ERROR_NOT_FOUND      (CHAIN | 0x0001)  


#endif
