#ifndef OUTPUT_H
#define OUTPUT_H

#ifndef DOXYGEN_SKIP
extern int32 RE_PrintHelp(void);
extern int32 RE_CreateOutputFile(Settings *projectSettings,
                                 LIST_Mapping *globalMapping);
extern int32 RE_PrintHeader(FILE *f_OutputFile);
extern int32 RE_PrintSections(FILE *f_OutputFile, Settings *projectSettings);
extern int32 RE_PrintCode(FILE *f_OutputFile, Settings *projectSettings,
                          LIST_Mapping *globalMapping);
extern int32 RE_PrintStrings(FILE *f_OutputFile, Settings *projectSettings,
                             LIST_Mapping *stringsMapping);

extern int32 RE_PrintObjects(FILE *f_OutputFile, Settings *projectSettings,
                             LIST_Mapping *symbolsMapping);

extern int32 RE_PrintClasses(FILE *f_OutputFile, Settings *projectSettings,LIST_Mapping *projectMapping);
extern int32 RE_PrintFunctions(FILE *f_OutputFile, LIST_Mapping *projectMapping); 

extern int32 RE_CreateTagsFile(uint8 *psz_DisasmFileName, 
                              LIST_Mapping *projectMapping);
#endif

#endif
