/****************************************
 *      the Beos Reversing Engine       * 
 *              by Zadig                *
 *                                      *
 * This tool create a file that         *
 * contains most of classes sizes.      *
 * This is used when parsing parameters *
 * from function protoypes.             * 
 ****************************************/

#include <stdio.h>

#include <Alert.h>
#include <Application.h>
#include <Bitmap.h>
#include <Box.h>
#include <Buffer.h>
#include <BufferConsumer.h>
#include <BufferProducer.h>
#include <Button.h>
#include <CheckBox.h>
#include <Clipboard.h>
#include <Cursor.h>
#include <Directory.h>
#include <DirectWindow.h>
#include <Entry.h>
#include <File.h>
#include <FileGameSound.h>
#include <Font.h>
#include <GameSound.h>
#include <Handler.h>
#include <Invoker.h>
#include <Joystick.h> 
#include <Menu.h>
#include <MenuBar.h>
#include <MenuField.h>
#include <MenuItem.h>
#include <Message.h>
#include <MessageFilter.h>
#include <MessageQueue.h>
#include <MessageRunner.h>
#include <Messenger.h>
#include <Node.h>
#include <Path.h>
#include <Point.h>
#include <PropertyInfo.h>
#include <PushGameSound.h>
#include <Query.h>
#include <Region.h>
#include <Roster.h>
#include <SerialPort.h>
#include <SimpleGameSound.h>
#include <StreamingGameSound.h>
#include <View.h>
#include <WindowScreen.h>

#define SIZEOF_PARAM(param)   sizeof(param)
/* sizeof return a strange size but it seems to be correct */

int main(void)
{
   printf("BAlert=%d\n", (int)SIZEOF_PARAM(BAlert) );
   printf("BApplication=%d\n", (int)SIZEOF_PARAM(BApplication) );
   printf("BBitmap=%d\n", (int)SIZEOF_PARAM(BBitmap) );
   printf("BBox=%d\n", (int)SIZEOF_PARAM(BBox) );
   printf("BBuffer=%d\n", (int)SIZEOF_PARAM(BBuffer) );
   printf("BBufferConsumer=%d\n", (int)SIZEOF_PARAM(BBufferConsumer) );
   printf("BBufferProducer=%d\n", (int)SIZEOF_PARAM(BBufferProducer) );
   printf("BButton=%d\n", (int)SIZEOF_PARAM(BButton) );
   printf("BCheckBox=%d\n", (int)SIZEOF_PARAM(BCheckBox) );
   printf("BClipboard=%d\n", (int)SIZEOF_PARAM(BClipboard) );   
   printf("BCursor=%d\n", (int)SIZEOF_PARAM(BCursor) );   
   printf("BDirectory=%d\n", (int)SIZEOF_PARAM(BDirectory) );   
   printf("BDirectWindow=%d\n", (int)SIZEOF_PARAM(BDirectWindow) );   
   printf("BEntry=%d\n", (int)SIZEOF_PARAM(BEntry) );
   printf("BFile=%d\n", (int)SIZEOF_PARAM(BFile) );
   printf("BFileGameSound=%d\n", (int)SIZEOF_PARAM(BFileGameSound) );
   printf("BFont=%d\n", (int)SIZEOF_PARAM(BFont) );
   printf("BGameSound=%d\n", (int)SIZEOF_PARAM(BGameSound) );
   printf("BHandler=%d\n", (int)SIZEOF_PARAM(BHandler) );   
   printf("BInvoker=%d\n", (int)SIZEOF_PARAM(BInvoker) );   
   printf("BJoystick=%d\n", (int)SIZEOF_PARAM(BJoystick) );
   printf("BLooper=%d\n", (int)SIZEOF_PARAM(BLooper) );   
   printf("BMenu=%d\n", (int)SIZEOF_PARAM(BMenu) );
   printf("BMenuBar=%d\n", (int)SIZEOF_PARAM(BMenuBar) );
   printf("BMenuField=%d\n", (int)SIZEOF_PARAM(BMenuField) );
   printf("BMenuItem=%d\n", (int)SIZEOF_PARAM(BMenuItem) );
   printf("BMessage=%d\n", (int)SIZEOF_PARAM(BMessage) );
   printf("BMessageFilter=%d\n", (int)SIZEOF_PARAM(BMessageFilter) );   
   printf("BMessageQueue=%d\n", (int)SIZEOF_PARAM(BMessageQueue) );   
   printf("BMessageRunner=%d\n", (int)SIZEOF_PARAM(BMessageRunner) );
   printf("BMessenger=%d\n", (int)SIZEOF_PARAM(BMessenger) );
   printf("BNode=%d\n", (int)SIZEOF_PARAM(BNode) );
   printf("BPath=%d\n", (int)SIZEOF_PARAM(BPath) );
   printf("BPoint=%d\n", (int)SIZEOF_PARAM(BPoint) );
   printf("BPropertyInfo=%d\n", (int)SIZEOF_PARAM(BPropertyInfo) );
   printf("BPushGameSound=%d\n", (int)SIZEOF_PARAM(BPushGameSound) );
   printf("BQuery=%d\n", (int)SIZEOF_PARAM(BQuery) );   
   printf("BRect=%d\n", (int)SIZEOF_PARAM(BRect) );   
   printf("BRegion=%d\n", (int)SIZEOF_PARAM(BRegion) );
   printf("BRoster=%d\n", (int)SIZEOF_PARAM(BRoster) );
   printf("BSerialPort.h=%d\n", (int)SIZEOF_PARAM(BSerialPort) );
   printf("BSimpleGameSound=%d\n", (int)SIZEOF_PARAM(BSimpleGameSound) );
   printf("BStreamingGameSound=%d\n", (int)SIZEOF_PARAM(BStreamingGameSound) );
   printf("BView=%d\n", (int)SIZEOF_PARAM(BView) );
   printf("BWindowScreen=%d\n", (int)SIZEOF_PARAM(BWindowScreen) );
      
   return(0);
}
